Analytics
5 min
analytics (le) 39 endpoints in 4 0 x rest under /analytics/ run real time computations on devicehub tag values thresholds, aggregations, custom python, and tensorflow inference run these endpoints open the analytics folder on api litmus io https //api litmus io/view/2s9y5r1rvg#cb468825 dca2 4803 94b7 fcafa4a08169 capabilities processors per tag or per group calculation jobs (sliding window aggregates, custom expressions) groups group multiple tags for batch processing ai models upload tensorflow models, run inference against tag values typical operations processors endpoint purpose get /analytics/processors list post /analytics/processors create put /analytics/processors/{id} update delete /analytics/processors/{id} delete post /analytics/processors/{id}/start start post /analytics/processors/{id}/stop stop groups endpoint purpose get /analytics/groups list post /analytics/groups create put /analytics/groups/{id} update delete /analytics/groups/{id} delete ai model upload (resumable, 3 steps) step method endpoint clear delete /analytics/v2/upload model/v2 create session post /analytics/v2/upload model/v2 (body {size, name} ) upload bytes put /analytics/v2/upload model/v2/resume/{id} see upload analytics model workflow #